class StaticOuter {
  public StaticInner createInner() {
    return new StaticInner();
  }

  static class StaticInner {
    public static void display() {
      System.out.println("StaticOuter.Inner display method");
    } 
  }
}

class StaticInnerTest  {
  public static void main(String[] args) {
    
    new StaticOuter.StaticInner().display();
    
    StaticOuter so = new StaticOuter();
    
    //so.new StaticInner().display();
    
    so.createInner().display();

    
  }
}